import CropperImage from './src/cropper-image.vue';
import CropperModal from './src/cropper-modal.vue';
export declare const LlCropperImage: import("ll-plus/es/utils").SFCWithInstall<import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly src: {
        readonly type: import("vue").PropType<string>;
        readonly required: true;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly alt: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly circled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly loading: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly realTimePreview: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly height: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, "360px", boolean>;
    readonly crossorigin: {
        readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<"" | "anonymous" | "use-credentials">, unknown, unknown>>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly imageStyle: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("vue").CSSProperties>, unknown, unknown, () => {}, boolean>;
    readonly options: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Cropper.Options<EventTarget>>, unknown, unknown, () => {}, boolean>;
}>, {
    props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        readonly src: {
            readonly type: import("vue").PropType<string>;
            readonly required: true;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly alt: {
            readonly type: import("vue").PropType<string>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly circled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly loading: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly realTimePreview: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly height: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, "360px", boolean>;
        readonly crossorigin: {
            readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<"" | "anonymous" | "use-credentials">, unknown, unknown>>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly imageStyle: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("vue").CSSProperties>, unknown, unknown, () => {}, boolean>;
        readonly options: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Cropper.Options<EventTarget>>, unknown, unknown, () => {}, boolean>;
    }>> & Readonly<{
        onCropend?: (params: import("./src/cropper-image").CropendResult) => any;
        onOnReady?: (cropper: Cropper) => any;
        onCropendError?: () => any;
    }> & {}>;
    emits: ((event: "cropend", params: import("./src/cropper-image").CropendResult) => void) & ((event: "onReady", cropper: Cropper) => void) & ((event: "cropendError") => void);
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        em: (element: string, modifier: string) => string;
        bm: (blockSuffix: string, modifier: string) => string;
        bem: (blockSuffix: string, element: string, modifier: string) => string;
        is: (name?: string) => string;
    };
    imgElRef: import("vue").Ref<HTMLImageElement, HTMLImageElement>;
    cropper: import("vue").Ref<Cropper, Cropper>;
    isReady: import("vue").Ref<boolean, boolean>;
    loading: import("vue").Ref<import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>, import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>>;
    getImageStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
    getWrapperStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
    init: () => Promise<void>;
    realTimeCroppered: () => void;
    debounceRealTimeCroppered: import("@vueuse/shared").PromisifyFn<() => void>;
    croppered: () => void;
    getRoundedCanvas: () => HTMLCanvasElement;
    handleLoading: () => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    readonly cropend: (params: import("./src/cropper-image").CropendResult) => boolean;
    readonly onReady: (cropper: Cropper) => boolean;
    readonly cropendError: () => boolean;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly src: {
        readonly type: import("vue").PropType<string>;
        readonly required: true;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly alt: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly circled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly loading: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly realTimePreview: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly height: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, "360px", boolean>;
    readonly crossorigin: {
        readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<"" | "anonymous" | "use-credentials">, unknown, unknown>>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly imageStyle: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("vue").CSSProperties>, unknown, unknown, () => {}, boolean>;
    readonly options: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Cropper.Options<EventTarget>>, unknown, unknown, () => {}, boolean>;
}>> & Readonly<{
    onCropend?: (params: import("./src/cropper-image").CropendResult) => any;
    onOnReady?: (cropper: Cropper) => any;
    onCropendError?: () => any;
}>, {
    readonly options: Cropper.Options<EventTarget>;
    readonly height: import("ll-plus/es/utils").EpPropMergeType<readonly [StringConstructor, NumberConstructor], unknown, unknown>;
    readonly loading: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly imageStyle: import("vue").CSSProperties;
    readonly circled: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly realTimePreview: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>>;
export declare const LlCropperModal: import("ll-plus/es/utils").SFCWithInstall<import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly circled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly disabled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly loading: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly avatar: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly avatarSize: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, 64, boolean>;
    readonly avatarType: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<"circle" | "square">, unknown, unknown, () => "circle", boolean>;
    readonly hideDelete: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly title: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "图片裁剪", boolean>;
    readonly borderType: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "dashed" | "solid" | "dotted", unknown, "dashed", boolean>;
    readonly borderRadius: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "6px", boolean>;
    readonly uploadIcon: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "icon-add", boolean>;
    readonly uploadIconSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 24, boolean>;
    readonly uploadTitle: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly uploadTip: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly maskMode: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "default" | "fade-in", unknown, "default", boolean>;
    readonly maskText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "修改", boolean>;
    readonly maskHeight: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "24px", boolean>;
    readonly maskTextSize: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "14px", boolean>;
}>, {
    props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        readonly circled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly disabled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly loading: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly avatar: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
        readonly avatarSize: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, 64, boolean>;
        readonly avatarType: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<"circle" | "square">, unknown, unknown, () => "circle", boolean>;
        readonly hideDelete: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly title: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "图片裁剪", boolean>;
        readonly borderType: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "dashed" | "solid" | "dotted", unknown, "dashed", boolean>;
        readonly borderRadius: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "6px", boolean>;
        readonly uploadIcon: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "icon-add", boolean>;
        readonly uploadIconSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 24, boolean>;
        readonly uploadTitle: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
        readonly uploadTip: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
        readonly maskMode: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "default" | "fade-in", unknown, "default", boolean>;
        readonly maskText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "修改", boolean>;
        readonly maskHeight: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "24px", boolean>;
        readonly maskTextSize: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "14px", boolean>;
    }>> & Readonly<{
        onConfirm?: (params: {
            blob: Blob;
            previewSource: string;
        }) => any;
        "onUpdate:avatar"?: (avatar: string) => any;
    }> & {}>;
    emits: ((event: "confirm", params: {
        blob: Blob;
        previewSource: string;
    }) => void) & ((event: "update:avatar", avatar: string) => void);
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        em: (element: string, modifier: string) => string;
        bm: (blockSuffix: string, modifier: string) => string;
        bem: (blockSuffix: string, element: string, modifier: string) => string;
        is: (name?: string) => string;
    };
    attrs: import("vue").Attrs;
    src: import("vue").Ref<string, string>;
    previewSource: import("vue").Ref<string, string>;
    open: import("vue").Ref<boolean, boolean>;
    loading: import("vue").Ref<boolean, boolean>;
    uploadLoading: import("vue").Ref<boolean, boolean>;
    imageVisible: import("vue").Ref<boolean, boolean>;
    isHover: import("vue").Ref<boolean, boolean>;
    cropper: import("vue").Ref<Cropper, Cropper>;
    scaleX: number;
    scaleY: number;
    sizeStyle: import("vue").ComputedRef<string>;
    getImgBindValue: import("vue").ComputedRef<{
        [k: string]: unknown;
    }>;
    filteredAttrs: import("vue").ComputedRef<{
        [k: string]: unknown;
    }>;
    handleBeforeUpload: (file: File) => boolean;
    handleOpen: () => void;
    handleCropend: ({ imgBase64 }: import("./src/cropper-image").CropendResult) => void;
    handleReady: (cropperInstance: Cropper) => void;
    handlerToolbar: (event: string, arg?: number) => void;
    handleOk: () => Promise<void>;
    handleCancel: () => Promise<void>;
    handleRemoveImage: () => void;
    mouseenter: () => void;
    mouseleave: () => void;
    cleanValue: () => void;
    CropperImage: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        readonly src: {
            readonly type: import("vue").PropType<string>;
            readonly required: true;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly alt: {
            readonly type: import("vue").PropType<string>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly circled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly loading: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly realTimePreview: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly height: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, "360px", boolean>;
        readonly crossorigin: {
            readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<"" | "anonymous" | "use-credentials">, unknown, unknown>>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly imageStyle: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("vue").CSSProperties>, unknown, unknown, () => {}, boolean>;
        readonly options: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Cropper.Options<EventTarget>>, unknown, unknown, () => {}, boolean>;
    }>, {
        props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
            readonly src: {
                readonly type: import("vue").PropType<string>;
                readonly required: true;
                readonly validator: (val: unknown) => boolean;
                __epPropKey: true;
            };
            readonly alt: {
                readonly type: import("vue").PropType<string>;
                readonly required: false;
                readonly validator: (val: unknown) => boolean;
                __epPropKey: true;
            };
            readonly circled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
            readonly loading: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
            readonly realTimePreview: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
            readonly height: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, "360px", boolean>;
            readonly crossorigin: {
                readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<"" | "anonymous" | "use-credentials">, unknown, unknown>>;
                readonly required: false;
                readonly validator: (val: unknown) => boolean;
                __epPropKey: true;
            };
            readonly imageStyle: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("vue").CSSProperties>, unknown, unknown, () => {}, boolean>;
            readonly options: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Cropper.Options<EventTarget>>, unknown, unknown, () => {}, boolean>;
        }>> & Readonly<{
            onCropend?: (params: import("./src/cropper-image").CropendResult) => any;
            onOnReady?: (cropper: Cropper) => any;
            onCropendError?: () => any;
        }> & {}>;
        emits: ((event: "cropend", params: import("./src/cropper-image").CropendResult) => void) & ((event: "onReady", cropper: Cropper) => void) & ((event: "cropendError") => void);
        bem: {
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element: string, modifier: string) => string;
            bm: (blockSuffix: string, modifier: string) => string;
            bem: (blockSuffix: string, element: string, modifier: string) => string;
            is: (name?: string) => string;
        };
        imgElRef: import("vue").Ref<HTMLImageElement, HTMLImageElement>;
        cropper: import("vue").Ref<Cropper, Cropper>;
        isReady: import("vue").Ref<boolean, boolean>;
        loading: import("vue").Ref<import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>, import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>>;
        getImageStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
        getWrapperStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
        init: () => Promise<void>;
        realTimeCroppered: () => void;
        debounceRealTimeCroppered: import("@vueuse/shared").PromisifyFn<() => void>;
        croppered: () => void;
        getRoundedCanvas: () => HTMLCanvasElement;
        handleLoading: () => void;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        readonly cropend: (params: import("./src/cropper-image").CropendResult) => boolean;
        readonly onReady: (cropper: Cropper) => boolean;
        readonly cropendError: () => boolean;
    }, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        readonly src: {
            readonly type: import("vue").PropType<string>;
            readonly required: true;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly alt: {
            readonly type: import("vue").PropType<string>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly circled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly loading: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly realTimePreview: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly height: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, "360px", boolean>;
        readonly crossorigin: {
            readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<"" | "anonymous" | "use-credentials">, unknown, unknown>>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly imageStyle: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("vue").CSSProperties>, unknown, unknown, () => {}, boolean>;
        readonly options: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Cropper.Options<EventTarget>>, unknown, unknown, () => {}, boolean>;
    }>> & Readonly<{
        onCropend?: (params: import("./src/cropper-image").CropendResult) => any;
        onOnReady?: (cropper: Cropper) => any;
        onCropendError?: () => any;
    }>, {
        readonly options: Cropper.Options<EventTarget>;
        readonly height: import("ll-plus/es/utils").EpPropMergeType<readonly [StringConstructor, NumberConstructor], unknown, unknown>;
        readonly loading: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
        readonly imageStyle: import("vue").CSSProperties;
        readonly circled: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
        readonly realTimePreview: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    readonly confirm: (params: {
        blob: Blob;
        previewSource: string;
    }) => boolean;
    readonly 'update:avatar': (avatar: string) => boolean;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly circled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly disabled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly loading: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly avatar: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly avatarSize: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, 64, boolean>;
    readonly avatarType: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<"circle" | "square">, unknown, unknown, () => "circle", boolean>;
    readonly hideDelete: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly title: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "图片裁剪", boolean>;
    readonly borderType: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "dashed" | "solid" | "dotted", unknown, "dashed", boolean>;
    readonly borderRadius: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "6px", boolean>;
    readonly uploadIcon: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "icon-add", boolean>;
    readonly uploadIconSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 24, boolean>;
    readonly uploadTitle: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly uploadTip: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly maskMode: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "default" | "fade-in", unknown, "default", boolean>;
    readonly maskText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "修改", boolean>;
    readonly maskHeight: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "24px", boolean>;
    readonly maskTextSize: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "14px", boolean>;
}>> & Readonly<{
    onConfirm?: (params: {
        blob: Blob;
        previewSource: string;
    }) => any;
    "onUpdate:avatar"?: (avatar: string) => any;
}>, {
    readonly title: string;
    readonly disabled: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly maskMode: import("ll-plus/es/utils").EpPropMergeType<StringConstructor, "default" | "fade-in", unknown>;
    readonly borderRadius: string;
    readonly loading: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly avatar: string;
    readonly avatarType: import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<"circle" | "square">, unknown, unknown>;
    readonly borderType: import("ll-plus/es/utils").EpPropMergeType<StringConstructor, "dashed" | "solid" | "dotted", unknown>;
    readonly uploadTitle: string;
    readonly uploadTip: string;
    readonly uploadIcon: string;
    readonly uploadIconSize: number;
    readonly circled: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly avatarSize: import("ll-plus/es/utils").EpPropMergeType<readonly [StringConstructor, NumberConstructor], unknown, unknown>;
    readonly hideDelete: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly maskText: string;
    readonly maskHeight: string;
    readonly maskTextSize: string;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>>;
export * from './src/cropper-image';
declare module 'vue' {
    interface GlobalComponents {
        LlCropperImage: typeof CropperImage;
        LlCropperModal: typeof CropperModal;
    }
}
